Page MenuHomePhabricator

Phase out use of vary-revision with more specific flags and improve related logging
Closed, ResolvedPublic

Description

This is important for getting the edit stash hit rate up and improving save timing in general (regardless of stashing).

Event Timeline

aaron created this task.Jun 27 2019, 11:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 27 2019, 11:09 PM

Change 519352 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] parser: add speculative page IDs to use with {{PAGEID}}

https://gerrit.wikimedia.org/r/519352

Change 519351 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] parser: inject a Logger into Parser instead of using wfDebug()

https://gerrit.wikimedia.org/r/519351

kchapman moved this task from Inbox to Doing on the Performance-Team board.Jul 1 2019, 7:51 PM
WDoranWMF triaged this task as High priority.Jul 23 2019, 3:54 PM

Change 519351 merged by jenkins-bot:
[mediawiki/core@master] parser: inject a Logger into Parser instead of using wfDebug()

https://gerrit.wikimedia.org/r/519351

Change 519352 merged by jenkins-bot:
[mediawiki/core@master] parser: add speculative page IDs to use with {{PAGEID}}

https://gerrit.wikimedia.org/r/519352

Change 526157 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] parser: use 'vary-revision-sha1' in Parser::statelessFetchTemplate

https://gerrit.wikimedia.org/r/526157

Change 526964 had a related patch set uploaded (by Krinkle; owner: Aaron Schulz):
[mediawiki/core@master] Add missing title info in RenderedRevision::outputVariesOnRevisionMetaData()

https://gerrit.wikimedia.org/r/526964

Change 526964 merged by jenkins-bot:
[mediawiki/core@master] Add missing title info in RenderedRevision::outputVariesOnRevisionMetaData()

https://gerrit.wikimedia.org/r/526964

Change 526157 merged by jenkins-bot:
[mediawiki/core@master] parser: use 'vary-revision-sha1' in Parser::statelessFetchTemplate

https://gerrit.wikimedia.org/r/526157

aaron closed this task as Resolved.Aug 17 2019, 1:17 AM